From 22e327654b1664e07a515d6087b7e14f007c71d7 Mon Sep 17 00:00:00 2001
From: PegoraroF10 <marcos@f10.com.br>
Date: Tue, 6 Jan 2026 15:47:31 -0300
Subject: [PATCH] Change "the empty string" to "an empty string" on DOCs

---
 doc/src/sgml/config.sgml             | 18 +++++++++---------
 doc/src/sgml/ddl.sgml                |  2 +-
 doc/src/sgml/func/func-matching.sgml |  6 +++---
 3 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 601aa3afb8e..6b49feea70e 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -848,7 +848,7 @@ include_dir 'conf.d'
         server.)  In combination with the parameter
         <varname>unix_socket_permissions</varname> this can be used as
         an additional access control mechanism for Unix-domain connections.
-        By default this is the empty string, which uses the default
+        By default this is an empty string, which uses the default
         group of the server user.  This parameter can only be set at
         server start.
        </para>
@@ -7576,7 +7576,7 @@ local0.*    /var/log/postgresql
       <listitem>
        <para>
         Causes aspects of each connection to the server to be logged.
-        The default is the empty string, <literal>''</literal>, which
+        The default is an empty string, <literal>''</literal>, which
         disables all connection logging. The following options may be
         specified alone or in a comma-separated list:
        </para>
@@ -8580,7 +8580,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <varname>cluster_name</varname> value.
         Other characters are replaced with <link
         linkend="sql-syntax-strings-escape">C-style hexadecimal escapes</link>.
-        No name is shown if this parameter is set to the empty string
+        No name is shown if this parameter is set to an empty string
         <literal>''</literal> (which is the default).
         This parameter can only be set at server start.
        </para>
@@ -9890,7 +9890,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </para>
 
        <para>
-        If this parameter is set to a value other than the empty string
+        If this parameter is set to a value other than an empty string
         when a partitioned table is created, the partitioned table's
         tablespace will be set to that value, which will be used as
         the default tablespace for partitions created in the future,
@@ -10707,7 +10707,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
        <para>
         Sets the language in which messages are displayed.  Acceptable
         values are system-dependent; see <xref linkend="locale"/> for
-        more information.  If this variable is set to the empty string
+        more information.  If this variable is set to an empty string
         (which is the default) then the value is inherited from the
         execution environment of the server in a system-dependent way.
        </para>
@@ -10739,7 +10739,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         example with the <function>to_char</function> family of
         functions.  Acceptable values are system-dependent; see <xref
         linkend="locale"/> for more information.  If this variable is
-        set to the empty string (which is the default) then the value
+        set to an empty string (which is the default) then the value
         is inherited from the execution environment of the server in a
         system-dependent way.
        </para>
@@ -10758,7 +10758,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         with the <function>to_char</function> family of
         functions. Acceptable values are system-dependent; see <xref
         linkend="locale"/> for more information.  If this variable is
-        set to the empty string (which is the default) then the value
+        set to an empty string (which is the default) then the value
         is inherited from the execution environment of the server in a
         system-dependent way.
        </para>
@@ -10777,7 +10777,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         with the <function>to_char</function> family of
         functions. Acceptable values are system-dependent; see <xref
         linkend="locale"/> for more information.  If this variable is
-        set to the empty string (which is the default) then the value
+        set to an empty string (which is the default) then the value
         is inherited from the execution environment of the server in a
         system-dependent way.
        </para>
@@ -12713,7 +12713,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
        </para>
 
        <para>
-        The default value of this setting is the empty string, which disables
+        The default value of this setting is an empty string, which disables
         the feature.  It can be set to <literal>all</literal> to check all
         records, or to a comma-separated list of resource managers to check
         only records originating from those resource managers.  Currently,
diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 9070aaa5a7c..2df18f3e17c 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3758,7 +3758,7 @@ REVOKE CREATE ON SCHEMA public FROM PUBLIC;
     does not use a secure schema usage pattern, users wishing to securely
     query that database would take protective action at the beginning of each
     session.  Specifically, they would begin each session by
-    setting <varname>search_path</varname> to the empty string or otherwise
+    setting <varname>search_path</varname> to an empty string or otherwise
     removing schemas that are writable by non-superusers
     from <varname>search_path</varname>.  There are a few usage patterns
     easily supported by the default configuration:
diff --git a/doc/src/sgml/func/func-matching.sgml b/doc/src/sgml/func/func-matching.sgml
index f466860ddb0..d1d0ad4b32a 100644
--- a/doc/src/sgml/func/func-matching.sgml
+++ b/doc/src/sgml/func/func-matching.sgml
@@ -1056,7 +1056,7 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
     A branch is zero or more <firstterm>quantified atoms</firstterm> or
     <firstterm>constraints</firstterm>, concatenated.
     It matches a match for the first, followed by a match for the second, etc.;
-    an empty branch matches the empty string.
+    An empty branch matches an empty string.
    </para>
 
    <para>
@@ -1490,7 +1490,7 @@ regexp_substr('ABCDEFGHI', '(c..)(...)', 1, 1, 'i', 2)
 
    <para>
     A <firstterm>constraint escape</firstterm> is a constraint,
-    matching the empty string if specific conditions are met,
+    matching an empty string if specific conditions are met,
     written as an escape.  They are
     shown in <xref linkend="posix-constraint-escapes-table"/>.
    </para>
@@ -2174,7 +2174,7 @@ SELECT regexp_match('abc01234xyz', '(?:(.*?)(\d+)(.*)){1,1}');
     (so that matches will not cross lines unless the RE
     explicitly includes a newline)
     and <literal>^</literal> and <literal>$</literal>
-    will match the empty string after and before a newline
+    will match an empty string after and before a newline
     respectively, in addition to matching at beginning and end of string
     respectively.
     But the ARE escapes <literal>\A</literal> and <literal>\Z</literal>
-- 
2.51.2.windows.1

